%define _unpackaged_files_terminate_build	1

%define module_name	martian
%define module_version	20061203
%define module_release	alt3.132626.2

%define kversion	2.6.18
%define krelease	alt2
%define flavour wks-smp

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: Linux support for Agere WinModem hardware
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://martian.barrelsoutofbond.org/

BuildRequires: kernel-source-%module_name
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
Martian is an alternative to the ltmodem and provides Linux support for
Agere WinModem hardware. Major difference is that core moved to the user
space.

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
make -C %_usrsrc/linux-%kversion-%flavour SUBDIRS=`realpath .`/kmodule modules

%install
mkdir -p %buildroot/%module_dir
install -D kmodule/martian_dev.ko %buildroot/%module_dir/martian_dev.ko

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease
%files
%defattr(644,root,root,755)
%dir %module_dir
%module_dir/martian_dev.ko

%changelog
* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 20061203-alt3.132626.2
- Removed unneeded "Prereq: modutils".

* Sun Dec 10 2006 L.A. Kostis <lakostis@altlinux.ru> 20061203-alt2.132626.2
- fix typo in flavour macros.

* Thu Dec 07 2006 Andrey Rahmatullin <wrar@altlinux.ru> 20061203-alt1.132626.2
- initial build
